package com.ruoyi.interfaces.service.impl;

import java.util.List;

import com.ruoyi.interfaces.domain.TbModels;
import com.ruoyi.interfaces.mapper.TbModelsMapper;
import com.ruoyi.interfaces.service.TbModelsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 模型Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-06-12
 */
@Service
public class TbModelsServiceImpl implements TbModelsService
{
    @Autowired
    private TbModelsMapper tbModelsMapper;

    /**
     * 查询模型
     * 
     * @param modelId 模型主键
     * @return 模型
     */
    @Override
    public TbModels selectTbModelsByModelId(Long modelId)
    {
        return tbModelsMapper.selectTbModelsByModelId(modelId);
    }

    /**
     * 查询模型列表
     * 
     * @param tbModels 模型
     * @return 模型
     */
    @Override
    public List<TbModels> selectTbModelsList(TbModels tbModels)
    {
        return tbModelsMapper.selectTbModelsList(tbModels);
    }

    /**
     * 新增模型
     * 
     * @param tbModels 模型
     * @return 结果
     */
    @Override
    public int insertTbModels(TbModels tbModels)
    {
        return tbModelsMapper.insertTbModels(tbModels);
    }

    /**
     * 修改模型
     * 
     * @param tbModels 模型
     * @return 结果
     */
    @Override
    public int updateTbModels(TbModels tbModels)
    {
        return tbModelsMapper.updateTbModels(tbModels);
    }

    /**
     * 批量删除模型
     * 
     * @param modelIds 需要删除的模型主键
     * @return 结果
     */
    @Override
    public int deleteTbModelsByModelIds(Long[] modelIds)
    {
        return tbModelsMapper.deleteTbModelsByModelIds(modelIds);
    }

    /**
     * 删除模型信息
     * 
     * @param modelId 模型主键
     * @return 结果
     */
    @Override
    public int deleteTbModelsByModelId(Long modelId)
    {
        return tbModelsMapper.deleteTbModelsByModelId(modelId);
    }
}